Bug 1363982 (CVE-2016-5139) - CVE-2016-5139 chromium-browser, openjpeg: Heap overflow in parsing of JPEG2000 precincts
Summary: CVE-2016-5139 chromium-browser, openjpeg: Heap overflow in parsing of JPEG200...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5139
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160803,repo...
Depends On: 1422752 1363992 1363993 1422747 1422749 1422750 1422751 1422753 1422754 1435072
Blocks: 1363988 1374338
TreeView+ depends on / blocked
 
Reported: 2016-08-04 08:26 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
9 users (show)

Fixed In Version: Chrome 52.0.2743.11
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow, leading to a heap buffer overflow, was found in openjpeg, also affecting the PDF viewer in Chromium. A specially crafted JPEG2000 image could cause an incorrect calculation when allocating precinct data structures, which could lead to a crash, or potentially, code execution.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:57:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1580 normal SHIPPED_LIVE Important: chromium-browser security update 2016-08-09 09:01:35 UTC
Red Hat Product Errata RHSA-2017:0559 normal SHIPPED_LIVE Moderate: openjpeg security update 2017-03-20 05:22:18 UTC
Red Hat Product Errata RHSA-2017:0838 normal SHIPPED_LIVE Moderate: openjpeg security update 2017-03-23 07:45:54 UTC

Description Adam Mariš 2016-08-04 08:26:33 UTC
The following flaw was identified in the Chromium browser: Heap overflow in pdfium.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=625541

External References:

https://googlechromereleases.blogspot.com/2016/08/stable-channel-update-for-desktop.html

Comment 2 errata-xmlrpc 2016-08-09 05:02:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2016:1580 https://rhn.redhat.com/errata/RHSA-2016-1580.html

Comment 6 Doran Moppert 2017-02-16 05:23:57 UTC
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1422752]

Comment 7 Doran Moppert 2017-02-16 05:29:53 UTC
Created openjpeg2 tracking bugs for this issue:

Affects: epel-6 [bug 1422753]
Affects: epel-7 [bug 1422754]

Comment 8 Doran Moppert 2017-02-16 06:04:31 UTC
Upstream bug (openjpeg):

https://github.com/uclouvain/openjpeg/issues/854

Comment 10 errata-xmlrpc 2017-03-20 01:23:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0559 https://rhn.redhat.com/errata/RHSA-2017-0559.html

Comment 11 errata-xmlrpc 2017-03-23 03:46:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0838 https://rhn.redhat.com/errata/RHSA-2017-0838.html

Comment 12 Doran Moppert 2017-03-23 04:10:38 UTC
Created openjpeg2 tracking bugs for this issue:

Affects: fedora-all [bug 1435072]


Note You need to log in before you can comment on or make changes to this bug.